//+------------------------------------------------------------------+
//|                                                K_Orders_Demo.mq5 |
//|                        Copyright 2011, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2011, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"

#include <K_Orders.mqh>

input int TP = 70;
input int SL = 20;
input double Lots=0.2;

Order order;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//--- set default values
   order.SetLots(Lots);
   order.SetMagic(123);
   order.SetSL_inPoints(SL);
   order.SetTP_inPoints(TP);
   order.SetComment("MyExpert");

   order.Buy();   // Buy
   order.Sell();  // Close buy order
   order.Buy();   // Buy again

                  //   order.SetSL_inPrice(1.26685); // Specify StopLoss value in "Price"
   order.SetTP_inPoints(30);     // Specify TakeProfit value in "Points"
   order.Modify();               // Do the modification

   order.Close_Volume(0.1);      //Close half from 0.2 volume order
   order.Close();                //Close the rest
  }

//+------------------------------------------------------------------+
